Loading...
Searching...
No Matches
_PurpleLogSet Struct Reference

Describes available logs. More...

`#include <log.h>`

## Data Fields

PurpleLogType | type
| The type of logs available.
char * | name
| The name of the logs available.
PurpleAccount * | account
| The account the available logs took place on.
gboolean | buddy
| Is this (account, name) a buddy on the buddy list?
char * | normalized_name
| The normalized version of name.

## Detailed Description

Describes available logs.

By passing the elements of this struct to purple_log_get_logs(), the caller can get all available PurpleLogs.

Definition at line 163 of file log.h.

## Field Documentation

## account

PurpleAccount* _PurpleLogSet::account

The account the available logs took place on.

This will be `NULL` if the account no longer exists. (Depending on a logger's implementation of list, it may not be possible to load such logs.)

Definition at line 166 of file log.h.

## buddy

gboolean _PurpleLogSet::buddy

Is this (account, name) a buddy on the buddy list?

Definition at line 173 of file log.h.

## name

char* _PurpleLogSet::name

The name of the logs available.

Definition at line 165 of file log.h.

## normalized_name

char* _PurpleLogSet::normalized_name

The normalized version of name.

It must be set, and may be set to the same pointer value as name.

Definition at line 175 of file log.h.

## type

PurpleLogType _PurpleLogSet::type

The type of logs available.

Definition at line 164 of file log.h.

The documentation for this struct was generated from the following file:

- log.h